
Foreman - Bug #1695

Actions of non-sysadmin users not always audited.

06/20/2012 03:11 PM - Roger Spencer

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Audit Log   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman version 0.5

Granted non-sysadmin users rights to edit parameters of hosts they manage.  Their actions in changing parameters are not always

logged to the Audits section.

What does get logged:

- Adding new parameters

What doesn't get logged:

- Changing an existing parameter's value

- Deleting a parameter

History

#1 - 06/20/2012 04:02 PM - Ohad Levy

we've just merged a pretty big change to the auditing code, can you confirm that its still broken after the changes we added?

thanks!

#2 - 06/21/2012 11:48 AM - Roger Spencer

Just updated and it did fix the issue.  Even past events that were not showing are there now.

Thanks.

#3 - 06/21/2012 12:28 PM - Ohad Levy

- Status changed from New to Resolved
